datablock TSShapeConstructor(CapitalDTS)
{
	baseShape  = "./shapes/capital.dts";
	sequence0  = "./shapes/steering.dsq steering";
	//sequence1  = "./shapes/springs.dsq spring0";
	//sequence2  = "./shapes/springs.dsq spring1";
	//sequence3  = "./shapes/springs.dsq spring2";
	//sequence4  = "./shapes/springs.dsq spring3";
};

datablock WheeledVehicleData(CapitalVehicle)
{
	category = "Vehicles";
	uiName = "Capital '93 Sedan";

	displayName = "";
	shapeFile = "./shapes/capital.dts";
	emap = true;
	minMountDist = 3;
	
	handsOnVehicle = 1;
	hasScriptedHeadlights = 1;
	hasTurnSignals = 1;
	usesVehicleEditHelper = 1;

	numFactoryColors = 13;
	factoryColor[1] = "EE3025 Traffic Stop Red";
	factoryColor[2] = "701A24 Somewhat Refined Maroon";
	factoryColor[3] = "263976 Necessary Blue";
	factoryColor[4] = "AABBDD Some Distant, Lovely Shore";
	factoryColor[5] = "206173 '90s Teal";
	factoryColor[6] = "184030 Poorly Concealed Envy";
	factoryColor[7] = "668877 The Sins of Our Fathers";
	factoryColor[8] = "493560 Inexplicable Plum";
	factoryColor[9] = "B5B0A7 Rental Car Beige";
	factoryColor[10] = "808385 Resale Value Silver";
	factoryColor[11] = "404040 Pessimism";
	factoryColor[12] = "EEEAFF It's going to be all White";
	factoryColor[13] = "151515 I never needed a new Black";

	massCenter = "0 0 0.4";

	engineTorque = 2600;
	engineBrake = 1000;
	brakeTorque = 2500;
	maxWheelSpeed = 40;

	rollForce = 0;
	yawForce = 0;
	pitchForce = 0;
	rotationalDrag = 1;

	rideable = true;
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
 
	numMountPoints = 4;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";

	paintable = true;

	maxDamage = 200.00;
	destroyedLevel = 400.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	maxSteeringAngle = 0.85;
	integration = 4;
	//tireEmitter = none;

	cameraRoll = false;
	cameraMaxDist = 10;
	cameraOffset = 3.5;
	cameraTilt = 0.25;

	cameraLag = 0.0;
	cameraDecay = 0.75;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire = CapitalTire;
	defaultSpring = CapitalSpring;

	numWheels = 4;

	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.05;
	steeringAutoReturnMaxSpeed = 0.1;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.05;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
   

	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

	numDmgEmitterAreas = 1;


	initialExplosionProjectile = vehicleExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = vehicleFinalExplosionProjectile;
	finalExplosionOffset = 0.5;



	minRunOverSpeed    = 4;
	runOverDamageScale = 8;
	runOverPushScale   = 1.2;

	protectPassengersBurn   = false;
	protectPassengersRadius = true;
	protectPassengersDirect = false;
};